Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#51578 - [mutter] can't build PKGBUILD

Attached to Project: Arch Linux
Opened by Maxime de Roucy (akira86) - Saturday, 29 October 2016, 19:59 GMT
Last edited by Doug Newgard (Scimmia) - Monday, 31 October 2016, 15:38 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

mutter have some problem on my machine (x86_64 updated, wayland, dualscreen: HiDPI-nonHiDPI).
I would like to try the latest upstream patch for 3.22 version.
Before that I want to build the current/official PKGBUILD (pkgver=3.22.1+41+ge8fc090), but I got building errors.

Additional info:
* pkgver=3.22.1+41+ge8fc090
* I am using the default /etc/makepkg.conf

```

GISCAN Cogl-1.0.gir
In file included from /usr/include/stdint.h:25:0,
from /usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/include/stdint.h:9,
from /home/max/Téléchargements/mutter.uwJ/src/mutter/cogl/cogl/cogl-types.h:38,
from /home/max/Téléchargements/mutter.uwJ/src/mutter/cogl/cogl/deprecated/cogl-material-compat.h:38,
from /tmp/g-ir-cpp-gqhdxttg.c:4:
/usr/include/features.h:331:4: attention : #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
# warning _FORTIFY_SOURCE requires compiling with optimization (-O)
^~~~~~~
Traceback (most recent call last):
File "/usr/bin/g-ir-scanner", line 66, in <module>
sys.exit(scanner_main(sys.argv))
File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 544, in scanner_main
shlibs = create_binary(transformer, options, args)
File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 421, in create_binary
shlibs = resolve_shlibs(options, binary, options.libraries)
File "/usr/lib/gobject-introspection/giscanner/shlibs.py", line 146, in resolve_shlibs
_resolve_non_libtool(options, binary, non_libtool))
File "/usr/lib/gobject-introspection/giscanner/shlibs.py", line 119, in _resolve_non_libtool
line = line.decode('ascii')
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 33: ordinal not in range(128)
make[6]: *** [/usr/share/gobject-introspection-1.0/Makefile.introspection:156: Cogl-1.0.gir] Error 1
``

Same when I disable FORTIFY_SOURCE :

```
% makepkg CPPFLAGS=""

GISCAN Cogl-1.0.gir
Traceback (most recent call last):
File "/usr/bin/g-ir-scanner", line 66, in <module>
sys.exit(scanner_main(sys.argv))
File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 544, in scanner_main
shlibs = create_binary(transformer, options, args)
File "/usr/lib/gobject-introspection/giscanner/scannermain.py", line 421, in create_binary
shlibs = resolve_shlibs(options, binary, options.libraries)
File "/usr/lib/gobject-introspection/giscanner/shlibs.py", line 146, in resolve_shlibs
_resolve_non_libtool(options, binary, non_libtool))
File "/usr/lib/gobject-introspection/giscanner/shlibs.py", line 119, in _resolve_non_libtool
line = line.decode('ascii')
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 33: ordinal not in range(128)
```
This task depends upon

Closed by  Doug Newgard (Scimmia)
Monday, 31 October 2016, 15:38 GMT
Reason for closing:  Upstream
Comment by Jan de Groot (JGC) - Saturday, 29 October 2016, 21:12 GMT
Your problem is caused by the folder you're building from. "Téléchargements" is unicode, not ascii. This is a python3 bug in gobject-introspection.
Comment by Maxime de Roucy (akira86) - Sunday, 30 October 2016, 22:47 GMT
Thanks, it all went well, now I can test newer mutter revisions.

As it seams not to be a bug in mutter PKGBUILD or source I think we can close this task.

Loading...